commit:     156c4699e1f28bd23d81cede6f1076aa2505e9b5
Author:     Moritz Schlarb <moschlar <AT> metalabs <DOT> de>
AuthorDate: Fri Aug  4 09:18:21 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  6 11:54:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=156c4699

net-misc/seafile: Version bump to 6.1.0

 net-misc/seafile/Manifest             |  1 +
 net-misc/seafile/seafile-6.1.0.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/net-misc/seafile/Manifest b/net-misc/seafile/Manifest
index ecd5b4c8d92..c13e994f90f 100644
--- a/net-misc/seafile/Manifest
+++ b/net-misc/seafile/Manifest
@@ -1 +1,2 @@
 DIST seafile-6.0.7.tar.gz 823384 SHA256 
e563eade01330bf679f3e6b9f0202b198170cdd8ec80642d9fb670b3a5cda793 SHA512 
ec33fbb6b925d4be9b89140d75287115e09f570654946aff994eb50d2ca46e233005b8e0e917682822806d0b5fd70cb9b8a728bb0fd09d124adaadaf3efc849a
 WHIRLPOOL 
8abb588994f06f4d167e1ca55a0e67c742ae7e089a96eb6a438a26fcc59e21b917444e0a8dcb4d099318af79f618a2af2d0a81d3459918ecb2f768b788a11b1f
+DIST seafile-6.1.0.tar.gz 823289 SHA256 
06871c6b2ecf27c5c87329b5be03b5aba37cf7c6a4cc81867d3d8451c4ecfb0f SHA512 
ccf2c66288093da7a00c24d019a1d765c6072485584d045b0d7acec4faee3448f52448113976eaf63950b1feda2c08d8ebda274f3178ca8ca6c643a822dde3fa
 WHIRLPOOL 
4175bf1df72b83b6eb06e085c9191fe743a2a4310aea929da993c95b69eccab040f072fe4eed968e55783c5151601bbddfc8830815c95b855cfefa5185c3016b

diff --git a/net-misc/seafile/seafile-6.1.0.ebuild 
b/net-misc/seafile/seafile-6.1.0.ebuild
new file mode 100644
index 00000000000..1317706f5e4
--- /dev/null
+++ b/net-misc/seafile/seafile-6.1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="File syncing and sharing software with file encryption and group 
sharing"
+HOMEPAGE="https://github.com/haiwen/seafile/ http://www.seafile.com/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       net-libs/libsearpc[${PYTHON_USEDEP}]
+       =net-libs/ccnet-${PV}[${PYTHON_USEDEP}]
+       >=dev-libs/glib-2.16.0:2
+       >=dev-libs/libevent-2.0
+       >=dev-libs/jansson-2.2.1
+       >=sys-libs/zlib-1.2.0
+       >=net-misc/curl-7.17
+       dev-libs/openssl:0=
+       dev-db/sqlite:3"
+DEPEND="${RDEPEND}
+       $(vala_depend)"
+
+src_prepare() {
+       default
+       sed -i -e 's/valac /${VALAC} /' lib/Makefile.am || die
+       eautoreconf
+       vala_src_prepare
+}

Reply via email to